export interface Consultation {
  id: number
  encounter_id: number
  date?: string
  unit_code: number
  doctor_code?: number
  problem: string
  solution?: string
  repliedAt?: string
}

export interface CreateDto {
  encounter_id: number
  date: string
  problem: string
  dstUnit_code: string
}

export interface UpdateDto {
  id: number
  problem: string
  unit_code: number
}

export interface DeleteDto {
  id: number
}

export function genCreateDto(): CreateDto {
  return {
    date: '',
    encounter_id: 0,
    problem: '',
    dstUnit_code: '',
  }
}

export function genConsultation(): Consultation {
  return {
    id: 0,
    encounter_id: 0,
    unit_code: 0,
    doctor_code: 0,
    problem: '',
    solution: '',
    repliedAt: '',
  }
}
